---
title: Composite Searching
slug: api/oWS--composite-searching
icon: {"faIcon":"fa-brands fa-buffer"}
docTags: 
createdAt: 2025-03-04T04:58:12.758Z
---

**Composite search in Poland enables clients to automate the selection of multiple services, processing verification inputs through successive data sources and returning responses from each selected service.**



<u>**Example&#x20;**</u>- API Requests and Responses with following services configured:

Poland Credit Bureau
Poland Consumer



:::ApiMethodV2
```json
{
  "name": "Poland Composite Search",
  "method": "POST",
  "url": "https://idu-test.datazoo.com/api/v2/verify",
  "description": "* Verification Outcome – KYC verification from sequenced searching and returns single or duel (where possible) source matches\n* Consumer Consent – YES (for Poland Credit Bureau)\n* Mandatory Input – Name, DOB and Address\n* Verifies – Name, DOB, Address, Phone and Email\n* Returned Data -N/A",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "f2jMy98sIuBrop0Bgc788",
        "language": "curl",
        "code": "curl --location 'https://idu-test.datazoo.com/api/v2/verify' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImMtbVZlMl9KRFhMcnkzaEhQWEN4TyJ9.eyJ1aWQiOiIzMDMiLCJvaWQiOiI2MiIsImlzcyI6Imh0dHBzOi8vZGF0YXpvby10ZXN0LnVzLmF1dGgwLmNvbS8iLCJzdWIiOiJhdXRoMHwzMDMiLCJhdWQiOiJodHRwczovL2t5Yy10ZXN0LmRhdGF6b28uY29tIiwiaWF0IjoxNzQ0MjQzMjYzLCJleHAiOjE3NDQyNzkyNjMsImd0eSI6InBhc3N3b3JkIiwiYXpwIjoiSWxVdURJNTF1QXpuVnE2VGVoRXAyOXBrbEhBSjFtYnkifQ.Tm4NRaQQ4HlDcKXQVP3ENUEPIa4ntTbiMJzo2coZSLOSZTD1ECEGpN5Ii19ryFehpi139rg2ar6pI4zu-0Kdi8ixkiB50nKQhvDCqwIl0AZhr-_iJuTqhoTj3rb0Kt0loJVIUv9zXRwxIQCIekcudjwrZRA1_LQldM_guuC4TxdWfxjiukyTmivklshpPglZAoEAfUmQLqaYVI9Q5ENneIDwhHVdACfSrXerPXUJy76IKWlPkantC6WxE1tjrH72DxaIItJZCcQ4m_40COURGKeFAawCkp9xGx44GSVerT42tMVjc_pANKO06-hLnURo1ny8wztEfqmJc29BLY4fhA' \\\n--data-raw '{\n    \"countryCode\": \"PL\",\n    \"service\": [\n        \"Poland Credit Bureau\", \n        \"Poland Consumer\"\n    ],\n    \"clientReference\": \"Test_0001\",\n    \"firstName\": \"Michael\", \n    \"lastName\": \"Gateau\", \n    \"dateOfBirth\": \"1993-01-09\", \n    \"addressElement1\": \"Pocztowa 123\", \n    \"addressElement3\": \"Warsaw\", \n    \"addressElement4\": \"Lower Silesian\", \n    \"addressElement5\": \"12345\", \n    \"identityVariables\": {\n        \"phoneNo\": \"123456789\", \n        \"emailAddress\": \"dztest@datazoo.com\"\n    },\n    \"consentObtained\": {\n        \"Poland Credit Bureau\": true\n    }\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "f2jMy98sIuBrop0Bgc788"
  },
  "results": {
    "languages": [
      {
        "id": "-KLLvb-_jXQIuU-WuWQAF",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"countryCode\": \"Poland\",\n    \"clientReference\": \"Test_0001\",\n    \"reportingReference\": \"DZ-7054eb4e-eea2-40b1-a82c-2d820bb15128\",\n    \"matchStatus\": \"Full Match 1+1 Verification\",\n    \"searchErrorMessage\": \"\",\n    \"safeHarbour\": false,\n    \"searchStatus\": \"Successful\",\n    \"serviceResponses\": {\n        \"Poland Consumer\": {\n            \"status\": 0,\n            \"sourceStatus\": \"Successful\",\n            \"errorMessage\": \"\",\n            \"identityVerified\": true,\n            \"safeHarbourScore\": \"M1\",\n            \"nameMatchScore\": \"1.000\",\n            \"addressMatchScore\": \"1.000\",\n            \"verifications\": {\n                \"addressElement1\": true,\n                \"addressElement3\": true,\n                \"addressElement4\": true,\n                \"addressElement5\": true,\n                \"dateOfBirth\": true,\n                \"emailAddress\": true,\n                \"firstName\": true,\n                \"lastName\": true,\n                \"phoneNo\": true\n            },\n            \"returnedData\": {}\n        },\n        \"Poland Credit Bureau\": {\n            \"status\": 2,\n            \"sourceStatus\": \"Successful\",\n            \"errorMessage\": \"\",\n            \"identityVerified\": false,\n            \"safeHarbourScore\": \"none\",\n            \"nameMatchScore\": \"N/A\",\n            \"addressMatchScore\": \"N/A\",\n            \"verifications\": {},\n            \"returnedData\": {}\n        }\n    },\n    \"remarks\": []\n}"
      },
      {
        "id": "AS5tJ4glQVhlG7b69Q21J",
        "language": "404",
        "customLabel": "",
        "code": "{\n  \"message\": \"Ain't no cake like that.\"\n}"
      }
    ],
    "selectedLanguageId": "-KLLvb-_jXQIuU-WuWQAF"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "sessionToken obtained via the Authentication call",
        "": "sessionToken obtained via the Authentication call"
      }
    ],
    "bodyDataParameters": [
      {
        "name": "data",
        "kind": "required",
        "type": "object",
        "description": "request body sent to the API",
        "": "object",
        "children": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "PL"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "\"Poland Credit Bureau\", \"Poland Consumer\""
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "dateOfBirth",
            "kind": "required",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format",
            "children": []
          },
          {
            "name": "addressElement1",
            "kind": "required",
            "type": "string",
            "description": "the street name and house number of the address of the identity owner",
            "children": []
          },
          {
            "name": "addressElement3",
            "kind": "required",
            "type": "string",
            "description": "the suburb address of the identity owner",
            "children": []
          },
          {
            "name": "addressElement4",
            "kind": "required",
            "type": "string",
            "description": "the state address of the identity owner",
            "children": []
          },
          {
            "name": "addressElement5",
            "kind": "required",
            "type": "string",
            "description": "the postcode address of the identity owner",
            "children": []
          },
          {
            "name": "identityVariables",
            "kind": "optional",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "phoneNo",
                "kind": "optional",
                "type": "string",
                "description": "phone number of the identity owner"
              },
              {
                "name": "emailAddress",
                "kind": "optional",
                "type": "string",
                "description": "email address of the identity owner"
              }
            ]
          },
          {
            "name": "consentObtained",
            "kind": "required",
            "type": "object",
            "description": "consent given by the identity owner",
            "children": [
              {
                "name": "Poland Credit Bureau",
                "kind": "optional",
                "type": "boolean",
                "description": "should be true"
              }
            ]
          }
        ],
        "schema": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "PL"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "\"Poland Credit Bureau\", \"Poland Consumer\""
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "dateOfBirth",
            "kind": "required",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format",
            "children": []
          },
          {
            "name": "addressElement1",
            "kind": "required",
            "type": "string",
            "description": "the street name and house number of the address of the identity owner",
            "children": []
          },
          {
            "name": "addressElement3",
            "kind": "required",
            "type": "string",
            "description": "the suburb address of the identity owner",
            "children": []
          },
          {
            "name": "addressElement4",
            "kind": "required",
            "type": "string",
            "description": "the state address of the identity owner",
            "children": []
          },
          {
            "name": "addressElement5",
            "kind": "required",
            "type": "string",
            "description": "the postcode address of the identity owner",
            "children": []
          },
          {
            "name": "identityVariables",
            "kind": "optional",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "phoneNo",
                "kind": "optional",
                "type": "string",
                "description": "phone number of the identity owner"
              },
              {
                "name": "emailAddress",
                "kind": "optional",
                "type": "string",
                "description": "email address of the identity owner"
              }
            ]
          },
          {
            "name": "consentObtained",
            "kind": "required",
            "type": "object",
            "description": "consent given by the identity owner",
            "children": [
              {
                "name": "Poland Credit Bureau",
                "kind": "optional",
                "type": "boolean",
                "description": "should be true"
              }
            ]
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "countryCode",
      "kind": "optional",
      "type": "string",
      "description": "Poland",
      "children": []
    },
    {
      "name": "clientReference",
      "kind": "optional",
      "type": "string",
      "description": "the client reference (if given as input) ",
      "children": []
    },
    {
      "name": "reportingReference",
      "kind": "optional",
      "type": "string",
      "description": "a reference number generated which is unique to each transaction. ",
      "children": []
    },
    {
      "name": "validationErrors",
      "kind": "optional",
      "type": "string",
      "description": "Returned with HTTP status code 400 when the request contains invalid or improperly formatted input data.",
      "children": []
    },
    {
      "name": "matchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Full Match 1+1 Verification\" \n\"Full Match 2+2 Verification\" \n\"No Match\""
    },
    {
      "name": "searchErrorMessage",
      "kind": "optional",
      "type": "string",
      "description": "error message returned querying the data source",
      "children": []
    },
    {
      "name": "safeHarbour",
      "kind": "optional",
      "type": "boolean",
      "description": "true or false",
      "children": []
    },
    {
      "name": "searchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Successful\" \n\"Not Successful\"",
      "children": []
    },
    {
      "name": "serviceResponses",
      "kind": "optional",
      "type": "object",
      "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\"",
      "children": [
        {
          "name": "status",
          "kind": "optional",
          "type": "integer",
          "description": "0 - identityVerified TRUE - element verifications all TRUE\n1 - identityVerified TRUE - element verifications not all TRUE\n2 - identityVerified FALSE - sourceStatus SUCCESSFUL\n3 - identityVerified FALSE - sourceStatus NOT SUCCESSFUL"
        },
        {
          "name": "sourceStatus",
          "kind": "optional",
          "type": "string",
          "description": "\"Successful\"\n\"Unsuccessful\""
        },
        {
          "name": "errorMessage",
          "kind": "optional",
          "type": "string",
          "description": "error message(s) from the data source.  Example, \"Error querying data source\"."
        },
        {
          "name": "identityVerified",
          "kind": "optional",
          "type": "boolean",
          "description": "true or false"
        },
        {
          "name": "safeHarbourScore",
          "kind": "optional",
          "type": "string",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\"\n* For more information, refer to Safe Harbour Scores page"
        },
        {
          "name": "nameMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\""
        },
        {
          "name": "addressMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\""
        },
        {
          "name": "verifications",
          "kind": "optional",
          "type": "object",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\"",
          "children": [
            {
              "name": "addressElement1",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement2",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement3",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement4",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement5",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "dateOfBirth",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "emailAddress",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "firstName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "lastName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "phoneNo",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            }
          ]
        },
        {
          "name": "returnedData",
          "kind": "optional",
          "type": "object",
          "description": "* refer to the section at the bottom of the page titled \"Service Responses Overview\"",
          "children": []
        }
      ]
    },
    {
      "name": "remarks",
      "kind": "optional",
      "type": "array",
      "description": "Null",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "poland-composite-search",
  "legacyHash": "P31R2ZC4fmA7UMTIRt1gK"
}
```
:::

***

:::hint{type="info"}
# Service Responses Overview&#x20;

Each service returns its own self-contained response block, ensuring modular and source-specific verification results. Consumers of this API should handle varying response structures dynamically based on the requested services.&#x20;

## Service Responses Element

The **serviceResponses** object in the API response contains verification results from one or more data sources, structured under their respective service names. Each service returns a distinct response block with service-specific data.

### Structure and Behavior:&#x20;

- Each key within **serviceResponses** corresponds to a **service name**, representing an individual verification source.
- Services may return data from **a single source or multiple sources** in a sequenced API call.
- The structure of each service response varies, with fields such as **status**, **identityVerified**, and **safeHarbourScore** differing between services.
- The **verifications** block contains service-specific boolean indicators for individual verification checks (e.g., **addressElement1**, **dateOfBirth**, **firstName**).
- The **returnedData** block provides metadata (if applicable).
:::

***

:::Changelog{title="Change History"}
::ChangelogItem{type="improved" description="Address Elements - 13 October, 2025"}

::ChangelogItem{type="added" description="Last updated - 10 April, 2025"}
:::

